The patch below removes the 'sinh' primitive from the OCaml runtime
and standard library.

It is used on Inria's CI to make sure the bootstrap procedure works.

diff --git a/runtime/floats.c b/runtime/floats.c
index b93f6a409..6edbed9c6 100644
--- a/runtime/floats.c
+++ b/runtime/floats.c
@@ -536,11 +536,6 @@ CAMLprim value caml_sin_float(value f)
   return caml_copy_double(sin(Double_val(f)));
 }
 
-CAMLprim value caml_sinh_float(value f)
-{
-  return caml_copy_double(sinh(Double_val(f)));
-}
-
 CAMLprim value caml_cos_float(value f)
 {
   return caml_copy_double(cos(Double_val(f)));
diff --git a/stdlib/float.ml b/stdlib/float.ml
index 8d9c5cca6..3b3ca61bc 100644
--- a/stdlib/float.ml
+++ b/stdlib/float.ml
@@ -69,8 +69,6 @@ external hypot : float -> float -> float
                = "caml_hypot_float" "caml_hypot" [@@unboxed] [@@noalloc]
 external cosh : float -> float = "caml_cosh_float" "cosh"
   [@@unboxed] [@@noalloc]
-external sinh : float -> float = "caml_sinh_float" "sinh"
-  [@@unboxed] [@@noalloc]
 external tanh : float -> float = "caml_tanh_float" "tanh"
   [@@unboxed] [@@noalloc]
 external ceil : float -> float = "caml_ceil_float" "ceil"
diff --git a/stdlib/float.mli b/stdlib/float.mli
index 2cdd31608..904f4af0e 100644
--- a/stdlib/float.mli
+++ b/stdlib/float.mli
@@ -196,10 +196,6 @@ external cosh : float -> float = "caml_cosh_float" "cosh"
 [@@unboxed] [@@noalloc]
 (** Hyperbolic cosine.  Argument is in radians. *)
 
-external sinh : float -> float = "caml_sinh_float" "sinh"
-[@@unboxed] [@@noalloc]
-(** Hyperbolic sine.  Argument is in radians. *)
-
 external tanh : float -> float = "caml_tanh_float" "tanh"
 [@@unboxed] [@@noalloc]
 (** Hyperbolic tangent.  Argument is in radians. *)
diff --git a/stdlib/pervasives.ml b/stdlib/pervasives.ml
index 945512716..55bc9e921 100644
--- a/stdlib/pervasives.ml
+++ b/stdlib/pervasives.ml
@@ -97,8 +97,6 @@ external hypot : float -> float -> float = "caml_hypot_float" "caml_hypot"
   [@@unboxed] [@@noalloc]
 external cosh : float -> float = "caml_cosh_float" "cosh"
   [@@unboxed] [@@noalloc]
-external sinh : float -> float = "caml_sinh_float" "sinh"
-  [@@unboxed] [@@noalloc]
 external tanh : float -> float = "caml_tanh_float" "tanh"
   [@@unboxed] [@@noalloc]
 external ceil : float -> float = "caml_ceil_float" "ceil"
diff --git a/stdlib/stdlib.ml b/stdlib/stdlib.ml
index 425728f64..4057dbc90 100644
--- a/stdlib/stdlib.ml
+++ b/stdlib/stdlib.ml
@@ -148,8 +148,6 @@ external log10 : float -> float = "caml_log10_float" "log10"
 external log1p : float -> float = "caml_log1p_float" "caml_log1p"
   [@@unboxed] [@@noalloc]
 external sin : float -> float = "caml_sin_float" "sin" [@@unboxed] [@@noalloc]
-external sinh : float -> float = "caml_sinh_float" "sinh"
-  [@@unboxed] [@@noalloc]
 external sqrt : float -> float = "caml_sqrt_float" "sqrt"
   [@@unboxed] [@@noalloc]
 external tan : float -> float = "caml_tan_float" "tan" [@@unboxed] [@@noalloc]
diff --git a/stdlib/stdlib.mli b/stdlib/stdlib.mli
index d451bba9c..990a41467 100644
--- a/stdlib/stdlib.mli
+++ b/stdlib/stdlib.mli
@@ -461,10 +461,6 @@ external cosh : float -> float = "caml_cosh_float" "cosh"
   [@@unboxed] [@@noalloc]
 (** Hyperbolic cosine.  Argument is in radians. *)
 
-external sinh : float -> float = "caml_sinh_float" "sinh"
-  [@@unboxed] [@@noalloc]
-(** Hyperbolic sine.  Argument is in radians. *)
-
 external tanh : float -> float = "caml_tanh_float" "tanh"
   [@@unboxed] [@@noalloc]
 (** Hyperbolic tangent.  Argument is in radians. *)
